Bug 256294 - accessibility/orca: remove dependency on py-xdg
Summary: accessibility/orca: remove dependency on py-xdg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2021-05-31 13:52 UTC by John Hein
Modified: 2021-06-02 09:27 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
[patch] remove incorrect run dependency on py-xdg (1.16 KB, patch)
2021-06-01 14:46 UTC, John Hein
jcfyecrayz: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2021-05-31 13:52:17 UTC
The dependency of accessibility/orca on py-xdg was removed in 2012.

https://gitlab.gnome.org/GNOME/orca/-/commit/e14a7ddc9e244b2085e8bc45641bd710b6f2dc3f
Comment 1 John Hein 2021-05-31 14:26:36 UTC
Anticipate no response from gnome@ - add desktop@ & most recent committer to CC list.  The wider project could do a more thorough job of reviewing dependencies when committing updates.
Comment 2 John Hein 2021-06-01 14:46:17 UTC
Created attachment 225454 [details]
[patch] remove incorrect run dependency on py-xdg

Remove stale run dependency on py-xdg.

QA:
  poudriere testport - ok (stable/11 amd64)
  portlint - ok (no new warnings - USES position, NLS option)
Comment 3 Tobias C. Berner freebsd_committer 2021-06-01 19:14:11 UTC
(In reply to John Hein from comment #1)
Moin moin 

To be fair, arch also still pulls in pyxdg :) so, maybe  it was also just badly communicated that it is no longer necessary. 


Be that as it may, thank you very much for the patch :)
Comment 4 commit-hook freebsd_committer 2021-06-02 09:25:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=797df44df8ff88fcae3acaa183e856be53799bd2

commit 797df44df8ff88fcae3acaa183e856be53799bd2
Author:     John Hein <jcfyecrayz@liamekaens.com>
AuthorDate: 2021-06-02 08:28:29 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-06-02 09:25:36 +0000

    accessibility/orca: remove obsolete dependency on devel/py-xdg

    The dependency of accessibility/orca on py-xdg was removed in 2012.

    https://gitlab.gnome.org/GNOME/orca/-/commit/e14a7ddc9e244b2085e8bc45641bd710b6f2dc3f

    PR:             256294

 accessibility/orca/Makefile | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)
Comment 5 Tobias C. Berner freebsd_committer 2021-06-02 09:27:13 UTC
Committed. Thanks.